Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PandaNode::Children Class Reference

## Public Member Functions
| Children (Children &&from) noexcept
| Children (const CData *cdata)
| Children (const Children &copy)
PandaNode * | get_child (size_t n) const
| Returns the nth child of the node.
int | get_child_sort (size_t n) const
| Returns the sort index of the nth child node of this node (that is, the number that was passed to add_child()).
size_t | get_num_children () const
| Returns the number of children of the node.
void | operator= (Children &&from) noexcept
void | operator= (const Children &copy)
PandaNode * | operator[] (size_t n) const
size_t | size () const

## Detailed Description

Definition at line 706 of file pandaNode.h.

## Constructor & Destructor Documentation

## ◆ Children() [1/4]

PandaNode::Children::Children | ( |  | ) |
| inline

Definition at line 902 of file pandaNode.I.

## ◆ Children() [2/4]

PandaNode::Children::Children | ( | const CData * | cdata | ) |
| inline

Definition at line 909 of file pandaNode.I.

## ◆ Children() [3/4]

PandaNode::Children::Children | ( | const Children & | copy | ) |
| inline

Definition at line 918 of file pandaNode.I.

## ◆ Children() [4/4]

PandaNode::Children::Children | ( | PandaNode::Children && | from | ) |
| inline noexcept

Definition at line 935 of file pandaNode.I.

## Member Function Documentation

## ◆ get_child()

PandaNode * PandaNode::Children::get_child | ( | size_t | n | ) | const
| inline

Returns the nth child of the node.

Definition at line 961 of file pandaNode.I.

Referenced by PandaNode::calc_tight_bounds(), RigidBodyCombiner::collect(), FindApproxLevelEntry::consider_node(), PandaNode::copy_children(), PandaNode::count_num_descendants(), AnimBundleNode::find_anim_bundle(), SceneGraphReducer::flatten(), PandaNode::r_prepare_scene(), MultitexReducer::scan(), CullTraverser::traverse_below(), DataGraphTraverser::traverse_below(), and NodeCullCallbackData::upcall().

## ◆ get_child_sort()

int PandaNode::Children::get_child_sort | ( | size_t | n | ) | const
| inline

Returns the sort index of the nth child node of this node (that is, the number that was passed to add_child()).

See get_num_children().

Definition at line 972 of file pandaNode.I.

Referenced by PandaNode::copy_children().

## ◆ get_num_children()

size_t PandaNode::Children::get_num_children | ( |  | ) | const
| inline

Returns the number of children of the node.

Definition at line 952 of file pandaNode.I.

Referenced by PandaNode::calc_tight_bounds(), RigidBodyCombiner::collect(), FindApproxLevelEntry::consider_node(), PandaNode::copy_children(), PandaNode::count_num_descendants(), AnimBundleNode::find_anim_bundle(), SceneGraphReducer::flatten(), PandaNode::r_prepare_scene(), MultitexReducer::scan(), CullTraverser::traverse_below(), DataGraphTraverser::traverse_below(), and NodeCullCallbackData::upcall().

## ◆ operator=() [1/2]

void PandaNode::Children::operator= | ( | PandaNode::Children && | from | ) |
| inline noexcept

Definition at line 944 of file pandaNode.I.

## ◆ operator=() [2/2]

void PandaNode::Children::operator= | ( | const Children & | copy | ) |
| inline

Definition at line 927 of file pandaNode.I.

## ◆ operator[]()

PandaNode * PandaNode::Children::operator[] | ( | size_t | n | ) | const
| inline

Definition at line 721 of file pandaNode.h.

## ◆ size()

size_t PandaNode::Children::size | ( |  | ) | const
| inline

Definition at line 722 of file pandaNode.h.

The documentation for this class was generated from the following files:

- panda/src/pgraph/pandaNode.h
- panda/src/pgraph/pandaNode.I